Supported Containers

  • Oracle WebLogic
    8–10, 12c; Java 1.4 & Java 5+
  • WebSphere
    6.x, 7.x, 8.x (inc. Liberty)
  • Tomcat
    4.x, 5.x, 6.x, 7.x
  • JBoss
    3.x, 4.x, 5.x, 6.x, 7.x
  • Glassfish
    2.x, 3.x
  • Resin
    3.x, 4.x
  • Google App Engine
  • Jetty
    5.x, 6.x, 7.x, 8.x
  • SpringSource DM Server
    2.x
  • Oracle OC4J
    9.x, 10.x; Java 1.4 & Java 5+
  • Eclipse Virgo
    3.x
  • Apache Geronimo
    2.x, 3.x

Supported IDEs

  • Eclipse
  • IntelliJ IDEA
  • NetBeans
  • Oracle JDeveloper
  • MyEclipse
  • Rational Application Developer
Java EE Support
Help
Supports the official Java enterprise stack, enabling configuration reloads according to Java EE specifications.
JSP EL changes
JSP Scriptlet changes
EJB 1.x session bean interface changes
EJB 2.x session bean interface changes
EJB 3.x session bean interface changes
EJB 3.x: adding new EJB
EJB 3.x: adding new EJB reference
JSF changes (Mojarra)
Bean Validation support (Hibernate Validator)
JAXB annotation changes
JAX-RS changes (RESTEasy, Jersey, CXF)
JAX-WS support (Metro, CXF)
JPA changes (Hibernate, EclipseLink, TopLink, OpenJPA)
CDI changes (Weld)
Framework Support
Help
Reloading framework configurations from recognised and widely-used framework providers.
Spring Framework 2.x or later
Hibernate
JBoss Seam 2.x or later
Google Guice
Struts 1.x, 2.x
Wicket
Stripes 1.5 or later
See full list of supported frameworks
Proxy support
Help
Reloading of classes and objects even when they are behind dynamic proxies.
CgLib
Javassist
OSGi support
Help
Support for OSGi containers.
Apache Felix
Eclipse Equinox

Learn more Free Trial